%global         _icons   icons/hicolor/scalable/apps/

Name:           zapzap
Version:        5.3.9
Release:        %mkrel 1
Summary:        WhatsApp Desktop for Linux
License:        GPL-3.0 license
URL:            https://rtosta.com/%{name}-web/
Source0:        https://github.com/rafatosta/%{name}/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt6
Requires:       python3-qt6-webenginewidgets
Requires:       python3-qt6

%description
ZapZap aims to bring the WhatsApp experience on Linux closer to that of a native application.
Since Meta does not provide a public API for third-party applications, ZapZap is developed
as a Progressive Web Application.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
install -D share/applications/com.rtosta.zapzap.desktop %{buildroot}/%{_datadir}/applications/com.rtosta.zapzap.desktop
install -D share/icons/com.rtosta.zapzap.svg %{buildroot}/%{_datadir}/%{_icons}/com.rtosta.zapzap.svg

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/%{name}*
%{_bindir}/%{name}
%{_datadir}/applications/com.rtosta.zapzap.desktop
%{_datadir}/%{_icons}/com.rtosta.zapzap.svg

%changelog
* Sat Nov 30 13:12:12 -03 2024 xgrind <xgrind> 5.3.9-1
- New version

* Tue Oct 29 09:10:10 -03 2024 xgrind <xgrind> 5.3.8-2
- Cleaner Buildrequires

* Sat Oct 26 19:24:10 -03 2024 xgrind <xgrind> 5.3.8-1
- New version

* Fri Oct 18 19:45:15 -03 2024 xgrind <xgrind> 5.3.7-1
- First package